Bug 840333 - [abrt] python-2.7.3-6.fc17: pa_ext_stream_restore_delete: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: pa_ext_stream_restore_delete: Process /usr/bin/py...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:c0dda84847a7ee999218034e510...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 21:35 EDT by Brian Morrison
Modified: 2013-07-31 15:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.25 KB, text/plain)
2012-07-15 21:35 EDT, Brian Morrison
no flags Details
File: xsession_errors (12.42 KB, text/plain)
2012-07-15 21:35 EDT, Brian Morrison
no flags Details
File: maps (65.69 KB, text/plain)
2012-07-15 21:35 EDT, Brian Morrison
no flags Details
File: dso_list (13.58 KB, text/plain)
2012-07-15 21:35 EDT, Brian Morrison
no flags Details
File: build_ids (5.08 KB, text/plain)
2012-07-15 21:35 EDT, Brian Morrison
no flags Details

  None (edit)
Description Brian Morrison 2012-07-15 21:35:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/ear_candy/ear_candy.py
comment:        This occurred when starting the Ear Candy python script from the system application menu, there was a general upset where pulseaudio decided to route Amarok's output to a USB sound device and then on changing it back the volume was set to 100% without warning or intent. Then things seemed to have crashed and ABRT came up.
crash_function: pa_ext_stream_restore_delete
executable:     /usr/bin/python2.7
kernel:         3.4.4-5.fc17.x86_64
pid:            18547
pwd:            /usr/lib/python2.7/site-packages/ear_candy
time:           Mon 16 Jul 2012 02:22:07 BST
uid:            500
username:       bdm

backtrace:      Text file, 60675 bytes
build_ids:      Text file, 5207 bytes
dso_list:       Text file, 13910 bytes
maps:           Text file, 67263 bytes
xsession_errors: Text file, 12718 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/bdm/2

core_backtrace:
:f58f7f7a0f2c00780839246fd972e56e971e27d8 0x15c7c pa_ext_stream_restore_delete libpulse.so -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:b24137540e097da310314b073e68877dcaf83617 0x10bd0 _ctypes_callproc _ctypes.so -
:b24137540e097da310314b073e68877dcaf83617 0xa3dd - _ctypes.so -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd93f3 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xdcd61 PyEval_EvalFrameEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xddb2f PyEval_EvalCodeEx libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x6d7b6 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x58090 - libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0x49a7e PyObject_Call libpython2.7.so.1.0 -
:efb4769976ac3cc8192277706894a2d7b3256ed1 0xd71d7 PyEval_CallObjectWithKeywords libpython2.7.so.1.0 -
:fa1fbdc3560ebc4ad9efda55ca123e91b972a5fd 0x26e8 _pyglib_handler_marshal libpyglib-2.0-python.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_dispatch libglib-2.0.so.0 -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=peterson.fenrir.org.uk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d0266f5dd5a86faa44e3700046d7d87f-1342349435.520365-49315704
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/***/keyring-znl8EW
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=***
:USERNAME=***
:MAIL=/var/spool/mail/***
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/***/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/***
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1554
:LANG=en_GB.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/x11-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/***
:SHLVL=1
:LOGNAME=***
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vfKHarA6wW,guid=7ff371ed6547dc9baad4866000000043
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/***
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-***-6AVOAU/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1563,unix/unix:/tmp/.ICE-unix/1563
:GPG_AGENT_INFO=/run/user/***/keyring-znl8EW/gpg:0:1
:SSH_AUTH_SOCK=/run/user/***/keyring-znl8EW/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/earcandy.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=18544
:DESKTOP_STARTUP_ID=gnome-shell-1749-peterson.fenrir.org.uk-ear_candy-19_TIME52292355

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47004                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         4294967296           4294967296           bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47004                47004                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         40                   40                   
:Max realtime priority     20                   20                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/bdm/.xsession-errors
:pos:	1009571
:flags:	0102002
:2:/home/bdm/.xsession-errors
:pos:	1009571
:flags:	0102002
:3:socket:[1251070]
:pos:	0
:flags:	02004002
:4:socket:[1251065]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:pipe:[1251074]
:pos:	0
:flags:	02004000
:7:pipe:[1251074]
:pos:	0
:flags:	02004001
:8:socket:[1251079]
:pos:	0
:flags:	02004002
:9:pipe:[1252224]
:pos:	0
:flags:	00
:10:pipe:[1252224]
:pos:	0
:flags:	04001
:11:socket:[1251093]
:pos:	0
:flags:	02004002
:12:anon_inode:inotify
:pos:	0
:flags:	02004000
:13:socket:[1251096]
:pos:	0
:flags:	02000002
:14:socket:[1251119]
:pos:	0
:flags:	02004002
:15:socket:[1252279]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: b263d36d-0343-4e81-bac0-d87389d91be5
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.UTF-8
:Platform: x86_64
:BogoMIPS: 3730.01
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 CPU          6320  @ 1.86GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1862
:System Memory: 5897
:System Swap: 12287
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.4.4-5.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10656:32902:20813) pci, agpgart-intel, HOST/PCI, 82P965/G965 Memory Controller Hub
:(32902:10302:32902:20813) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10276:32902:20813) pci, ahci, STORAGE, 82801HB (ICH8) 4 port SATA AHCI Controller
:(32902:10256:32902:20813) pci, None, PCI/ISA, 82801HB/HR (ICH8/R) LPC Interface Controller
:(32902:4171:32902:1) pci, e1000e, ETHERNET, 82566DC Gigabit Network Connection
:(32902:10307:32902:10307) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10289:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:9294:32902:20813) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10290:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(32902:10294:32902:20813) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:32902:20813) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(4172:32803:32902:20813) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
:(32902:10658:32902:20813) pci, i915, VIDEO, 82G965 Integrated Graphics Controller
:(32902:10309:32902:10309) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
:(32902:10303:32902:10303) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:32902:10305) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10660:32902:20813) pci, None, SIMPLE, 82P965/G965 HECI Controller
:(32902:10311:32902:10311) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
:(32902:10315:32902:8468) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:10292:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10288:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10293:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda11 / ext4 4096 4096 10463180 4954404 4430116 2621440 1981054 1981054
:/dev/sda10 /home ext4 4096 4096 8368084 3070965 2651535 2097152 1649138 1649138
:/dev/sda1 /boot ext3 1024 1024 500652 431423 431423 128512 128117 128117
:/dev/sda8 /var ext4 4096 4096 7826405 6987651 6595384 1962240 1886138 1886138
:/dev/sda7 WITHHELD ext3 4096 4096 24017965 10533038 9312199 12222464 11906688 11906688
:/dev/mapper/LVM1-Home3 WITHHELD ext4 4096 4096 16354227 9255738 8436538 4096000 4088017 4088017
:

var_log_messages:
:Jul 16 02:21:04 peterson abrt: detected unhandled Python exception in '/usr/lib/python2.7/site-packages/ear_candy/ear_candy.py'
:Jul 16 02:22:08 peterson abrt[18593]: Saved core dump of pid 18547 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-07-16-02:22:07-18547 (87044096 bytes)
Comment 1 Brian Morrison 2012-07-15 21:35:13 EDT
Created attachment 598344 [details]
File: backtrace
Comment 2 Brian Morrison 2012-07-15 21:35:15 EDT
Created attachment 598345 [details]
File: xsession_errors
Comment 3 Brian Morrison 2012-07-15 21:35:18 EDT
Created attachment 598346 [details]
File: maps
Comment 4 Brian Morrison 2012-07-15 21:35:21 EDT
Created attachment 598347 [details]
File: dso_list
Comment 5 Brian Morrison 2012-07-15 21:35:23 EDT
Created attachment 598348 [details]
File: build_ids
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:02:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:03:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:06:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:14:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:14:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:07:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:32:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.